Subject: Re: [PATCH net-next v2 2/6] gtp: merge gtp_get_net and gtp_genl_find_dev

From: Pablo Neira Ayuso <[email-masked]>
Date: Mon, 13 Feb 2017 15:51:14 +0100

On Mon, Feb 13, 2017 at 03:13:37PM +0100, Andreas Schultz wrote:
> 
> 
> ----- On Feb 6, 2017, at 2:55 PM, Harald Welte [email-masked] wrote:
> 
> > Hi Andreas,
> > 
> > On Mon, Jan 30, 2017 at 05:37:09PM +0100, Andreas Schultz wrote:
> >> Both function are always used together with the final goal to
> >> get the gtp_dev. This simplifies the code by merging them together.
> > 
> > Ok, some code restructuring / unification, seems useful.
> > 
> > However:
> > 
> >> -			netdev_dbg(dev, "GTPv0-U: update tunnel id = %llx (pdp %p)\n",
> >> -				   pctx->u.v0.tid, pctx);
> >> +			pr_debug("GTPv0-U: update tunnel id = %llx (pdp %p)\n",
> >> +				 pctx->u.v0.tid, pctx);
> > 
> > (and other related changes) appear to be purely cosmetic and should thus
> > be unrelated to the function merging described in the change log
> > message.
> 
> The dev argument has been removed from the surrounding function.
> However, for those debug message having the network device information
> is use full. I've modified the code in v3 a bit to keep the debug message.

There is no reason to replace netdev_dbg() by pr_debug(). With several
gtp devices in place, this debugging will render completely useless
since you cannot know what device has triggered the debugging mesage.

A better solution would be to simply remove this debugging thing. This
actually is only useful at early development stage IMO.